package com.storlead.centre.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.storlead.centre.entity.SystemConfigItemEntity;
import com.storlead.framework.mybatis.service.MyBaseService;

import java.util.Objects;

/**
 * <p>
 * 系统配置项 服务类
 * </p>
 *
 * @author chenkq
 * @since 2026-01-08
 */
public interface SystemConfigItemService extends MyBaseService<SystemConfigItemEntity> {

    SystemConfigItemEntity getSystemConfigItem(String code);

    Long getCheckinDataTime();

    void setCheckinDataTime(Long checkinTime);
}
